node-jest (29.6.2~ds7+~cs73.45.28-7) unstable; urgency=medium

  * Team upload
  * Native-require ES modules except the package under test

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Sep 2026 13:53:18 +0200

node-jest (29.6.2~ds7+~cs73.45.28-6) unstable; urgency=medium

  * Team upload
  * Do not native-require modules Jest transforms

 -- Xavier Guimard <yadd@debian.org>  Mon, 31 Aug 2026 11:27:12 +0200

node-jest (29.6.2~ds7+~cs73.45.28-5) unstable; urgency=medium

  * Team upload
  * node-babel 8: check for native ES modules before throwing ERR_REQUIRE_ESM

 -- Xavier Guimard <yadd@debian.org>  Tue, 25 Aug 2026 23:52:06 +0200

node-jest (29.6.2~ds7+~cs73.45.28-4) unstable; urgency=medium

  * Team upload
  * Adapt to Babel 8 and typebox 0.34

 -- Xavier Guimard <yadd@debian.org>  Tue, 25 Aug 2026 15:45:57 +0200

node-jest (29.6.2~ds7+~cs73.45.28-3) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.4
  * debian/watch version 5
  * Fix build with typescript 6

 -- Xavier Guimard <yadd@debian.org>  Sun, 16 Aug 2026 14:52:14 +0200

node-jest (29.6.2~ds7+~cs73.45.28-2) unstable; urgency=medium

  * Team uploap
  * Fix with modern execa

 -- Bastien Roucariès <rouca@debian.org>  Sat, 25 Jul 2026 17:39:59 +0200

node-jest (29.6.2~ds7+~cs73.45.28-1) unstable; urgency=medium

  * Team upload
  * Remove node-dedent packaged elsewhere

 -- Bastien Roucariès <rouca@debian.org>  Sun, 12 Jul 2026 11:04:20 +0200

node-jest (29.6.2~ds6+~cs73.45.28-3) unstable; urgency=medium

  * Team upload
  * Drop more prebuild packages
  * Embded dedent before linking on it.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 09 Jul 2026 18:25:18 +0200

node-jest (29.6.2~ds6+~cs73.45.28-2) unstable; urgency=medium

  * Team upload.

  [ Bastien Roucariès ]
  * Drop some prebuild package

  [ Xavier Guimard ]
  * Fix typescript with newer @types/fb-watchman (Closes: #1138719)

 -- Xavier Guimard <yadd@debian.org>  Wed, 01 Jul 2026 22:04:04 +0200

node-jest (29.6.2~ds6+~cs73.45.28-1) unstable; urgency=medium

  * Team upload.
  * Split import-local and resolve-exports

 -- Bastien Roucariès <rouca@debian.org>  Mon, 04 May 2026 22:22:04 +0200

node-jest (29.6.2~ds5+~cs73.45.28-3) unstable; urgency=medium

  * Team upload

  [ Bastien Roucariès ]
  * Prepare split of import-local and resolve-exports (Closes: #1135386)

  [ Xavier Guimard ]
  * Port to read-pkg 10 (Closes: #1135430)
  * Enable skipLibCheck for type-fest 5 / TypeScript 5.2

 -- Xavier Guimard <yadd@debian.org>  Sat, 02 May 2026 12:35:41 +0200

node-jest (29.6.2~ds5+~cs73.45.28-2) unstable; urgency=medium

  * Team upload
  * Sourcefull upload

 -- Bastien Roucariès <rouca@debian.org>  Thu, 23 Apr 2026 23:15:02 +0200

node-jest (29.6.2~ds5+~cs73.45.28-1) unstable; urgency=medium

  * Team upload
  * Remove small package supports-hyperlink and hyperlink-terminal
    packaged elsewhere

 -- Bastien Roucariès <rouca@debian.org>  Wed, 22 Apr 2026 21:17:42 +0200

node-jest (29.6.2~ds4+~cs73.45.28-2) unstable; urgency=medium

  * Team upload
  * Sourcefull upload

 -- Bastien Roucariès <rouca@debian.org>  Mon, 13 Apr 2026 21:59:28 +0200

node-jest (29.6.2~ds4+~cs73.45.28-1) unstable; urgency=medium

  * Team upload
  * Remove string-length module packaged elsewhere

 -- Bastien Roucariès <rouca@debian.org>  Mon, 13 Apr 2026 20:59:03 +0200

node-jest (29.6.2~ds3+~cs73.45.28-3) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.3
  * Drop "Rules-Requires-Root: no"
  * Drop broken "Breaks" field

 -- Yadd <yadd@debian.org>  Fri, 20 Mar 2026 06:43:51 +0100

node-jest (29.6.2~ds3+~cs73.45.28-2) unstable; urgency=medium

  * Sourcefull upload

 -- Bastien Roucariès <rouca@debian.org>  Wed, 11 Mar 2026 08:53:07 +0100

node-jest (29.6.2~ds3+~cs73.45.28-1) unstable; urgency=medium

  * Team upload
  * Move char-regex and astral-regex

 -- Bastien Roucariès <rouca@debian.org>  Tue, 10 Mar 2026 22:56:39 +0100

node-jest (29.6.2~ds2+~cs73.45.28-3) unstable; urgency=medium

  * Team upload
  * Drop locale option in bcoe tsconfig (ts 5.2 compat)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 07 Mar 2026 16:16:59 +0100

node-jest (29.6.2~ds2+~cs73.45.28-2) unstable; urgency=high

  * Team upload
  * Sourcefull upload
  * Drop copy of chalk
  * Readd depends on node-ci-info

 -- Bastien Roucariès <rouca@debian.org>  Mon, 02 Mar 2026 00:06:28 +0100

node-jest (29.6.2~ds2+~cs73.45.28-1) unstable; urgency=medium

  * Team upload
  * Drop is-ci and move to other package

 -- Bastien Roucariès <rouca@debian.org>  Sun, 01 Mar 2026 01:32:37 +0100

node-jest (29.6.2~ds1+~cs73.45.28-11) unstable; urgency=high

  * Team upload
  * Remove local @types and fix chalk avoiding FTBFS

 -- Bastien Roucariès <rouca@debian.org>  Thu, 26 Feb 2026 00:12:10 +0100

node-jest (29.6.2~ds1+~cs73.45.28-10) unstable; urgency=medium

  * Team upload
  * Fix ansi-regex, thansk to kapouer

 -- Bastien Roucariès <rouca@debian.org>  Mon, 23 Feb 2026 00:54:26 +0100

node-jest (29.6.2~ds1+~cs73.45.28-9) unstable; urgency=medium

  * Team upload
  * Port to glob@10

 -- Bastien Roucariès <rouca@debian.org>  Wed, 03 Dec 2025 18:21:19 +0100

node-jest (29.6.2~ds1+~cs73.45.28-8) unstable; urgency=high

  * Team upload
  * Fix FTBFS with recent node-supports-color

 -- Bastien Roucariès <rouca@debian.org>  Thu, 30 Oct 2025 11:37:01 +0100

node-jest (29.6.2~ds1+~cs73.45.28-7) unstable; urgency=medium

  [ Yadd ]
  * Declare compliance with policy 4.7.0

  [ Jérémy Lal ]
  * Add ignoreDeprecations flag to our rollup config,
    and to tsconfig.json (with a patch). Closes: #1090013.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 01 Sep 2025 23:49:48 +0200

node-jest (29.6.2~ds1+~cs73.45.28-6) unstable; urgency=medium

  * Team upload
  * buildext on node-supports-color

 -- Bastien Roucariès <rouca@debian.org>  Fri, 16 Aug 2024 09:39:55 +0000

node-jest (29.6.2~ds1+~cs73.45.28-5) unstable; urgency=medium

  * Don't install examples in nodejs root directory

 -- Yadd <yadd@debian.org>  Wed, 13 Dec 2023 14:07:49 +0400

node-jest (29.6.2~ds1+~cs73.45.28-4) unstable; urgency=medium

  * Ignore example-react-native during autopkgtest

 -- Yadd <yadd@debian.org>  Wed, 13 Dec 2023 13:56:26 +0400

node-jest (29.6.2~ds1+~cs73.45.28-3) unstable; urgency=medium

  * Fix jest-snapshot-serializer-raw commonjs
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Update typescript patch (Closes: #1058509)

 -- Yadd <yadd@debian.org>  Wed, 13 Dec 2023 13:22:06 +0400

node-jest (29.6.2~ds1+~cs73.45.28-2) unstable; urgency=medium

  * Replace dependency to node-json-stable-stringify by
    node-fast-json-stable-stringify

 -- Yadd <yadd@debian.org>  Sun, 13 Aug 2023 09:31:30 +0400

node-jest (29.6.2~ds1+~cs73.45.28-1) unstable; urgency=medium

  * New upstream version 29.6.2~ds1+~cs73.45.28
  * Update ts patch
  * Build commonjs files for jest-snapshot-serializer-raw
    (needed by ts-jest tests)
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 12 Aug 2023 18:48:59 +0400

node-jest (29.6.1~ds1+~cs73.45.28-1) experimental; urgency=medium

  [ lintian-brush ]
  * Update lintian override info format in d/source/lintian-overrides
    on line 16-17
  * Update standards version to 4.6.2, no changes needed

  [ Yadd ]
  * Refresh patches
  * Add dependency to node-pure-rand
  * Update copyright
  * New upstream version 29.6.1~ds1+~cs73.45.28, updates
    - jest 29.6.1
    - collect-v8-coverage 1.0.2
    - jest-snapshot-serializer-raw 2.0.0
    - support-hyperlinks 3.0.0
    - @types/jest 29.5.3
  * Update patches

 -- Yadd <yadd@debian.org>  Mon, 24 Jul 2023 12:54:17 +0400

node-jest (29.3.1~ds1+~cs70.48.25-2) unstable; urgency=medium

  * Duplicate Breaks field with Replaces (Closes: #1035008)

 -- Yadd <yadd@debian.org>  Fri, 28 Apr 2023 06:42:41 +0400

node-jest (29.3.1~ds1+~cs70.48.25-1) unstable; urgency=medium

  * New upstream version 29.3.1~ds1+~cs70.48.25 (updates @types/jest)

 -- Yadd <yadd@debian.org>  Mon, 12 Dec 2022 21:18:22 +0100

node-jest (29.3.1~ds1+~cs70.48.22-1) unstable; urgency=medium

  * New upstream version 29.3.1~ds1+~cs70.48.22
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 09 Nov 2022 19:23:14 +0100

node-jest (29.2.2~ds1+~cs70.48.20-2) unstable; urgency=medium

  * Fix provides field
  * Update copyright

 -- Yadd <yadd@debian.org>  Fri, 04 Nov 2022 10:14:16 +0100

node-jest (29.2.2~ds1+~cs70.48.20-1) unstable; urgency=medium

  * New upstream version 29.2.2~ds1+~cs70.48.20
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Fri, 28 Oct 2022 22:18:28 +0200

node-jest (29.2.1~ds1+~cs70.48.20-2) unstable; urgency=medium

  * Team upload
  * Fix version in jest internal dependencies
  * Fix @bcoe/v8-coverage build with rollup 3

 -- Yadd <yadd@debian.org>  Fri, 28 Oct 2022 17:19:31 +0200

node-jest (29.2.1~ds1+~cs70.48.20-1) unstable; urgency=medium

  * New upstream version 29.2.1~ds1+~cs70.48.20
  * Update workspaces list
  * Refresh patches
  * Drop link to @types/jest during build: jest's build no more needs it

 -- Yadd <yadd@debian.org>  Wed, 19 Oct 2022 06:21:11 +0200

node-jest (29.1.2~ds1+~cs70.47.21-2) unstable; urgency=medium

  * Fix build for node-emittery 1

 -- Yadd <yadd@debian.org>  Tue, 18 Oct 2022 17:07:05 +0200

node-jest (29.1.2~ds1+~cs70.47.21-1) unstable; urgency=medium

  * New upstream version 29.1.2~ds1+~cs70.47.21
  * Move @jest/schemas and @jest/types to node-jest-worker
  * Drop fix-jest.useFakeTimers-config-typings patch, now included in upstream

 -- Yadd <yadd@debian.org>  Sun, 02 Oct 2022 18:01:35 +0200

node-jest (29.1.1~ds1+~cs70.47.20-3) unstable; urgency=medium

  * Move jest-util into node-jest-worker (Closes: #1021038)

 -- Yadd <yadd@debian.org>  Sat, 01 Oct 2022 08:18:42 +0200

node-jest (29.1.1~ds1+~cs70.47.20-2) unstable; urgency=medium

  * Fix @types/jest according to Jest Team proposed changes

 -- Yadd <yadd@debian.org>  Thu, 29 Sep 2022 14:05:54 +0200

node-jest (29.1.1~ds1+~cs70.47.20-1) unstable; urgency=medium

  * Replace component by dependency: cjs-module-lexer (Closes: #1019355)
  * New upstream version 29.1.1~ds1+~cs70.47.20
  * Require nodejs >= 14
  * Breaks node-ts-jest < 29
  * Require node-sinclair-typebox >= 0.24.44~
  * Update typescript declarations
  * Drop embedded @tsconfig/node12, now given by ts-node
  * Update patches
  * Update build links
  * Patch @types/jest during build to build ts declarations
    (needed because jest uses an older @types/jest during build)

 -- Yadd <yadd@debian.org>  Thu, 29 Sep 2022 12:13:38 +0200

node-jest (28.1.3~ds+~cs70.48.29-3) unstable; urgency=medium

  * Drop call to __proto__ and drop debian/tests/pkg-js/enable_proto

 -- Yadd <yadd@debian.org>  Tue, 13 Sep 2022 14:36:05 +0200

node-jest (28.1.3~ds+~cs70.48.29-2) unstable; urgency=medium

  * Drop dependency to node-read-pkg-up (replaced by escalade)
  * Drop dependency to read-pkg (build-dependency only)
  * Enable __proto__ in test, needed here for pkg-js-autopkgtest 0.15

 -- Yadd <yadd@debian.org>  Tue, 13 Sep 2022 09:01:22 +0200

node-jest (28.1.3~ds+~cs70.48.29-1) unstable; urgency=medium

  * New upstream version (updates @types/jest)

 -- Yadd <yadd@debian.org>  Tue, 23 Aug 2022 12:05:18 +0200

node-jest (28.1.3~ds+~cs70.48.28-2) unstable; urgency=medium

  * Update typescript patch (Closes: #1016325)

 -- Yadd <yadd@debian.org>  Sat, 30 Jul 2022 14:08:40 +0200

node-jest (28.1.3~ds+~cs70.48.28-1) unstable; urgency=medium

  * New upstream version 28.1.3~ds+~cs70.48.28
  * Unfuzz patches
  * Add build link to p-limit and add explicit dependency
  * Update typescript patch

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 13:24:24 +0200

node-jest (28.1.2~ds+~cs70.48.26-3) unstable; urgency=medium

  * Indicate that node-jest-debbundle breaks jest < 28.1.2~ (Closes: #1014747)

 -- Yadd <yadd@debian.org>  Tue, 12 Jul 2022 07:48:44 +0200

node-jest (28.1.2~ds+~cs70.48.26-2) unstable; urgency=medium

  * Update copyright
  * Add dependencies to node-react-dom node-react-is node-react-test-renderer

 -- Yadd <yadd@debian.org>  Sun, 10 Jul 2022 10:55:58 +0200

node-jest (28.1.2~ds+~cs70.48.26-1) unstable; urgency=medium

  * New upstream version 28.1.2~ds+~cs70.48.26
  * Move @bcoe/v8-coverage from jest to node-jest-debbundle
  * Update typescript patch

 -- Yadd <yadd@debian.org>  Sun, 03 Jul 2022 21:55:20 +0200

node-jest (28.1.1~ds+~cs70.48.23-1) unstable; urgency=medium

  * Declare compliance with policy 4.6.1
  * New upstream version 28.1.1~ds+~cs70.48.23
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 09 Jun 2022 11:06:06 +0200

node-jest (28.1.0~ds+~cs69.52.23-1) unstable; urgency=medium

  * New upstream version 28.1.0~ds+~cs69.52.23 (updates only @types/jest)
  * Install old chalk typescript definitions into
    jest-matcher-utils/node_modules (fixes typescript builds that include
    this module)

 -- Yadd <yadd@debian.org>  Wed, 18 May 2022 09:53:26 +0200

node-jest (28.1.0~ds+~cs69.52.22-2) unstable; urgency=medium

  * Add dependency to node-fb-watchman
  * Back to unstable

 -- Yadd <yadd@debian.org>  Tue, 10 May 2022 14:27:05 +0200

node-jest (28.1.0~ds+~cs69.52.22-1) experimental; urgency=medium

  * Add dependency to node-sinclair-typebox
  * New upstream version 28.1.0~ds+~cs69.52.22
  * Refresh patches
  * Update typescript workarounds

 -- Yadd <yadd@debian.org>  Mon, 09 May 2022 10:37:10 +0200

node-jest (28.0.1~ds+~cs69.51.23-1) experimental; urgency=medium

  * New upstream version 28.0.1~ds+~cs69.51.23
  * Update patches
  * Update build modules
  * Update build
  * Requires nodejs >= 14 during build

 -- Yadd <yadd@debian.org>  Thu, 28 Apr 2022 08:16:02 +0200

node-jest (27.5.1~ds+~cs69.51.22-7) unstable; urgency=medium

  * Don't continue if typescript build fails
  * Use old node-chalk's typescript declarations to build (Closes: #1009268),
    same for node-slash and node-execa

 -- Yadd <yadd@debian.org>  Mon, 11 Apr 2022 07:28:30 +0200

node-jest (27.5.1~ds+~cs69.51.22-6) unstable; urgency=medium

  * Rebuild with dh-sequence-nodejs 0.14.14 to fix "Provides" fields

 -- Yadd <yadd@debian.org>  Fri, 01 Apr 2022 15:36:20 +0200

node-jest (27.5.1~ds+~cs69.51.22-5) unstable; urgency=medium

  * autopkgtest: don't try to require repl (builtin module in nodejs 14)

 -- Yadd <yadd@debian.org>  Sun, 27 Mar 2022 21:31:45 +0200

node-jest (27.5.1~ds+~cs69.51.22-4) unstable; urgency=medium

  * Simplify doc and Provides generation using new features provided by
    dh-sequence-nodejs 0.14.5
  * Add more "// @ts-ignore", needed for nodejs >= 14

 -- Yadd <yadd@debian.org>  Sat, 19 Mar 2022 07:09:38 +0100

node-jest (27.5.1~ds+~cs69.51.22-3) unstable; urgency=medium

  * Update clean
  * Update tsc links (Closes: #1007895)
  * Use dh_nodejs_autodocs to build components docs

 -- Yadd <yadd@debian.org>  Tue, 15 Mar 2022 17:44:58 +0100

node-jest (27.5.1~ds+~cs69.51.22-2) unstable; urgency=medium

  * Add missing dependency to node-strip-json-comments (Closes: #1005546)

 -- Yadd <yadd@debian.org>  Sun, 13 Feb 2022 09:12:18 +0100

node-jest (27.5.1~ds+~cs69.51.22-1) unstable; urgency=medium

  * New upstream version 27.5.1~ds+~cs69.51.22
  * Refresh patches
  * Add dependency to node-parse-json
  * Don't fail if typescript declarations contain references
  * Clean @types/* build dependencies

 -- Yadd <yadd@debian.org>  Sat, 12 Feb 2022 07:45:25 +0100

node-jest (27.5.0~ds+~cs69.51.22-1) unstable; urgency=medium

  * New upstream version 27.5.0~ds+~cs69.51.22
  * Unfuzz patches
  * Replace embedded csstype and async-done by dependencies to related
    packages

 -- Yadd <yadd@debian.org>  Sun, 06 Feb 2022 09:01:25 +0100

node-jest (27.4.7~ds+~cs69.51.22-1) unstable; urgency=medium

  * Embed cjs-module-lexer and remove embedded build module
  * New upstream version 27.4.7~ds+~cs69.51.22
  * Update copyright
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Mon, 17 Jan 2022 10:27:30 +0100

node-jest (27.4.7~ds+~cs68.49.20-2) unstable; urgency=medium

  * Update fix-typescript.patch for yargs ≥ 17

 -- Yadd <yadd@debian.org>  Fri, 07 Jan 2022 21:35:12 +0100

node-jest (27.4.7~ds+~cs68.49.20-1) unstable; urgency=medium

  * Add debian/tests/pkg-js/require-SKIP to skip some require tests
  * New upstream version 27.4.7~ds+~cs68.49.20
  * Increase fix-typescript.patch size...
  * Embed @tsconfig/node10/tsconfig.json for build only
  * Update copyright
  * Fix @bcoe/coverage build (discovered using new pkg-js-autopkgtest
    features)
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Fri, 07 Jan 2022 18:28:42 +0100

node-jest (27.4.5~ds+~cs68.44.26-2) unstable; urgency=medium

  * Replace embedded build module "bundt" by dependency to node-bundt
    (reported by `lintian --profile pkg-js-extra`)

 -- Yadd <yadd@debian.org>  Tue, 14 Dec 2021 15:59:53 +0100

node-jest (27.4.5~ds+~cs68.44.26-1) unstable; urgency=medium

  * New upstream version 27.4.5~ds+~cs68.44.26
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 14 Dec 2021 14:19:57 +0100

node-jest (27.4.4~ds+~cs68.44.26-1) unstable; urgency=medium

  * New upstream version 27.4.4~ds+~cs68.44.26
  * Update lintian overrides
  * Refresh patches

 -- Yadd <yadd@debian.org>  Fri, 10 Dec 2021 16:10:55 +0100

node-jest (27.4.3~ds+~cs68.44.26-1) unstable; urgency=medium

  * Embed jest-snapshot-serializer-raw (needed for next ts-jest)
  * New upstream version 27.4.3~ds+~cs68.44.26
  * Build jest-snapshot-serializer-raw with tsc
  * Update copyright

 -- Yadd <yadd@debian.org>  Mon, 06 Dec 2021 10:37:02 +0100

node-jest (27.4.3~ds+~cs67.42.26-2) unstable; urgency=medium

  * Use @types/babel__template instead of @babel/template to build typescript
    declarations (fixes debci with new node-babel7)

 -- Yadd <yadd@debian.org>  Thu, 02 Dec 2021 11:53:53 +0100

node-jest (27.4.3~ds+~cs67.42.26-1) unstable; urgency=medium

  * New upstream version 27.4.3~ds+~cs67.42.26

 -- Yadd <yadd@debian.org>  Wed, 01 Dec 2021 19:24:28 +0100

node-jest (27.4.2~ds+~cs67.42.26-1) unstable; urgency=medium

  * New upstream version 27.4.2~ds+~cs67.42.26
  * Update tsc patch
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 01 Dec 2021 09:46:50 +0100

node-jest (27.3.1~ds+~cs67.42.26-1) unstable; urgency=medium

  * Update copyright
  * Update node-fast-json-stable-stringify dependency
  * Build with dh-sequence-nodejs ≥ 0.9.83~ to avoid some stupid FTBFS
  * Update lintian overrides
  * New upstream version 27.3.1~ds+~cs67.42.26

 -- Yadd <yadd@debian.org>  Fri, 26 Nov 2021 21:22:54 +0100

node-jest (27.3.1~ds+~cs67.42.24-7) unstable; urgency=medium

  * Back to unstable after successful tests
  * Update lintian overrides
  * Add whatis entries in manpages

 -- Yadd <yadd@debian.org>  Fri, 29 Oct 2021 15:05:58 +0200

node-jest (27.3.1~ds+~cs67.42.24-6) experimental; urgency=medium

  * Replace jest dependency to nodejs by nodejs:any
  * Fix executables install
  * Add test dependency to resolve-cwd

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 23:31:47 +0200

node-jest (27.3.1~ds+~cs67.42.24-5) experimental; urgency=medium

  * Render jest arch-indep, many thanks to Jérémy Lal for the tip!
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 17:32:55 +0200

node-jest (27.3.1~ds+~cs67.42.24-4) unstable; urgency=medium

  * Drop useless build dependency to yarn
  * Fix jest install (fixes Multi-Arch issues)

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 07:33:53 +0200

node-jest (27.3.1~ds+~cs67.42.24-3) unstable; urgency=medium

  * Link @types/scheduler during build (fixes debci since react upgrade)

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 06:29:58 +0200

node-jest (27.3.1~ds+~cs67.42.24-2) unstable; urgency=medium

  * Move resolve.exports to node-jest-debbundle.install
  * Fix nodejs paths
  * Back to unstable

 -- Yadd <yadd@debian.org>  Fri, 22 Oct 2021 14:12:46 +0200

node-jest (27.3.1~ds+~cs67.42.24-1) experimental; urgency=medium

  * Fix filenamemangle
  * Clean debian/watch (duplicate)
  * New upstream version 27.3.1~ds+~cs67.42.24
  * Update patches
  * Build-Depends on node-typescript (>= 4.4.4~)
  * Update @bcoe/v8-coverage build
  * Embed resolve.exports
    + Embed bundt for build only
    + Add build dependency to node-browserify-lite
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 21 Oct 2021 11:04:51 +0200

node-jest (27.2.5~ds+~cs67.45.25-1) unstable; urgency=medium

  * New upstream version 27.2.5~ds+~cs67.45.25
  * Add build dependency to node-types-mocha
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 12 Oct 2021 16:52:26 +0200

node-jest (27.2.4~ds+~cs67.45.24-1) unstable; urgency=medium

  * New upstream version 27.2.4~ds+~cs67.45.24
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 30 Sep 2021 18:05:45 +0200

node-jest (27.2.3~ds+~cs67.45.24-1) unstable; urgency=medium

  * New upstream version 27.2.3~ds+~cs67.45.24
  * Require node-v8-to-istanbul ≥ 8

 -- Yadd <yadd@debian.org>  Thu, 30 Sep 2021 06:25:23 +0200

node-jest (27.2.1~ds+~cs67.45.24-3) unstable; urgency=medium

  * Add link to provide jest-runtime manpage
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 27 Sep 2021 14:21:25 +0200

node-jest (27.2.1~ds+~cs67.45.24-2) experimental; urgency=medium

  * Indicate that jest-worker breaks node-rollup-plugin-terser < 7.0.2-6~

 -- Yadd <yadd@debian.org>  Sun, 26 Sep 2021 16:59:28 +0200

node-jest (27.2.1~ds+~cs67.45.24-1) experimental; urgency=medium

  * New upstream version 27.2.1~ds+~cs67.45.24 (Closes: #994269)
  * Unfuzz patches
  * Update typescript workaround patch
  * Update lintian overrides
  * node-debbundle-jest depends on node-babel-plugin-lodash

 -- Yadd <yadd@debian.org>  Sun, 26 Sep 2021 06:30:11 +0200

node-jest (27.1.0~ds+~cs67.45.23-2) experimental; urgency=medium

  * Fix build
  * Update Multi-Arch values: set "foreign" except for jest itself
  * Fix /usr/bin/jest-runtime link

 -- Yadd <yadd@debian.org>  Fri, 03 Sep 2021 23:16:03 +0200

node-jest (27.1.0~ds+~cs67.45.23-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Fix GitHub tags regex
  * Apply multi-arch hints: jest -> same
  * Declare compliance with policy 4.6.0
  * Don't upgrade components that became modules
  * New upstream version 27.1.0~ds+~cs67.45.23
  * Refresh patches
  * Upgrade dependency to node-anymatch to have @types/picomatch
  * Add workaround to avoid using yarn
  * Refresh patches
  * Fix test
  * Update build

 -- Yadd <yadd@debian.org>  Fri, 03 Sep 2021 12:55:22 +0200

node-jest (26.6.3+repack+~cs64.44.39-3) unstable; urgency=medium

  * Fix build when build target is architecture:only or architecture:any

 -- Xavier Guimard <yadd@debian.org>  Sun, 31 Jan 2021 11:33:54 +0100

node-jest (26.6.3+repack+~cs64.44.39-2) unstable; urgency=medium

  * Set Architecture to "any" (Closes: #981286)

 -- Xavier Guimard <yadd@debian.org>  Sat, 30 Jan 2021 12:39:53 +0100

node-jest (26.6.3+repack+~cs64.44.39-1) unstable; urgency=medium

  * Embed jest-tobetype and repack (Closes: #980713)

 -- Xavier Guimard <yadd@debian.org>  Thu, 21 Jan 2021 22:19:16 +0100

node-jest (26.6.3+repack+~cs61.38.35-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Update minimum version of dependencies

  [ Xavier Guimard ]
  * New upstream version 26.6.3+repack+~cs61.38.35
    Updates: @types/jest 26.0.20
  * Remove duplicate node-typescript dependency

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 Jan 2021 10:29:58 +0100

node-jest (26.6.3+repack+~cs61.38.31-7) unstable; urgency=medium

  * Add jest-worker dependency to node-types-node
  * Force prettierPath to empty string (node-prettier not available)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 16:49:56 +0100

node-jest (26.6.3+repack+~cs61.38.31-6) unstable; urgency=medium

  * Refresh typescript patch
  * Remove dependency to node-typescript-types (Closes: #979761)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 13:46:25 +0100

node-jest (26.6.3+repack+~cs61.38.31-5) unstable; urgency=medium

  * Fix minimal version for node-babel*
  * Update @bcoe/v8-coverage build
  * Build typescript definitions (Closes: #974648):
    + Embed some modules needed to build typescript definitions
    + Add many build dependencies
    + Add many of them into debian/nodejs/extlinks and debian/nodejs/extcopies
      to workaround poor typescript module resolution algorithm
    + Embed initial jest-diff and prettier-format typescript definitions to
      avoid a circular build dependency to itself (and an initial binary
      upload)
    + Embed @bcoe/v8-coverage typescript definition (building typescript
      definitions seems to require many unavailable packages)
    + Add patch to ignore some strange typescript errors
      (using "// @ts-ignore" hook), partially due to typescript-4.1 regression
  * Add lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 Jan 2021 12:23:51 +0100

node-jest (26.6.3+repack+~cs61.38.31-4) unstable; urgency=medium

  * Fix "Provides" fields

 -- Xavier Guimard <yadd@debian.org>  Wed, 06 Jan 2021 18:41:37 +0100

node-jest (26.6.3+repack+~cs61.38.31-3) unstable; urgency=medium

  * Explicitly (build-)depend on needed babel modules (Closes: #977670)

 -- Xavier Guimard <yadd@debian.org>  Fri, 18 Dec 2020 18:04:29 +0100

node-jest (26.6.3+repack+~cs61.38.31-2) unstable; urgency=medium

  * Indicate that node-jest-worker and node-jest-debbundle breaks previous
    jest (Closes: #976819)

 -- Xavier Guimard <yadd@debian.org>  Tue, 08 Dec 2020 10:40:14 +0100

node-jest (26.6.3+repack+~cs61.38.31-1) unstable; urgency=medium

  * Back to unstable
  * Remove useless component realpath-native
  * Components:
    + remove callsites (provided by node-cosmiconfig) (Closes: #976618)
    + add @types/is-ci, @types/dedent and @types/natural-compare
  * Update build
  * New upstream version 26.6.3+repack+~cs61.38.31
  * Fix cosmiconfig dep

 -- Xavier Guimard <yadd@debian.org>  Sun, 06 Dec 2020 14:49:44 +0100

node-jest (26.6.3+ds+~cs64.28.30-3) experimental; urgency=medium

  * Reduce binary packages

 -- Xavier Guimard <yadd@debian.org>  Sat, 05 Dec 2020 10:09:56 +0100

node-jest (26.6.3+ds+~cs64.28.30-2) experimental; urgency=medium

  * Fix debian/clean
  * Don't install diff-sequences test files
  * Split in 13 binary packages (Closes: #976341)

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Dec 2020 11:32:35 +0100

node-jest (26.6.3+ds+~cs64.28.30-1) unstable; urgency=medium

  * New upstream version 26.6.3+ds+~cs64.28.30
    Updates: p-each-series 2.2.0
  * Install /usr/bin/jest-runtime and /usr/bin/jest-repl
  * Update README.Debian
  * Use ctype in debian/watch

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Dec 2020 16:22:04 +0100

node-jest (26.6.3+ds+~cs64.27.30-3) unstable; urgency=medium

  * Install docs
  * Add README.Debian
  * Set upstream metadata fields: Bug-Submit.
  * Declare compliance with policy 4.5.1
  * Really exclude quilt files from test
  * Update debian/README.Debian
  * Fix debian/rules for pkg-js-tools ≥ 0.9.49

 -- Xavier Guimard <yadd@debian.org>  Thu, 26 Nov 2020 22:33:41 +0100

node-jest (26.6.3+ds+~cs64.27.30-2) unstable; urgency=medium

  * Automatically exclude quilt files
  * Add tests

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Nov 2020 10:44:08 +0100

node-jest (26.6.3+ds+~cs64.27.30-1) unstable; urgency=medium

  * Update homepage
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Remove test
  * Require newer jsdom
  * Embed components: astral-regex char-regex babel-preset-moxy import-local
    natural-compare natural-compare-lite p-each-series p-reduce string-length
    supports-hyperlinks terminal-link throat jest-pnp-resolver is-ci callsites
    @bcoe/v8-coverage collect-v8-coverage dedent repl (Closes: #963628)
  * New upstream version 26.6.3+ds+~cs64.27.30
  * Refresh patches
  * Update dependencies
  * Add Breaks against node-typescript-types < 20200626 (Closes: #964004)
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 09 Nov 2020 05:37:49 +0100

node-jest (24.9.0+ds-3) unstable; urgency=medium

  * Remove useless node-babel 6 dependencies

 -- Xavier Guimard <yadd@debian.org>  Wed, 24 Jun 2020 12:50:36 +0200

node-jest (24.9.0+ds-2) unstable; urgency=medium

  * Source-only upload

 -- Xavier Guimard <yadd@debian.org>  Wed, 24 Jun 2020 12:39:23 +0200

node-jest (24.9.0+ds-1) experimental; urgency=medium

  * Exclude website from import and repack
  * Fix copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 01 May 2020 09:46:02 +0200

node-jest (24.9.0-3) experimental; urgency=medium

  * Use pkg-js-tools auto link during build

 -- Xavier Guimard <yadd@debian.org>  Fri, 01 May 2020 09:09:12 +0200

node-jest (24.9.0-2) experimental; urgency=medium

  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 27 Apr 2020 00:55:12 +0200

node-jest (24.9.0-1) unstable; urgency=medium

  [ Pirate Praveen, Xavier Guimard ]
  * Initial release (Closes: #890253)

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Mar 2020 18:16:47 +0100
